import Sort from "@/components/filter-sort-games";
import { InfiniteScrollGames } from "@/components/infinity-scroll";
import ScrollToTop from "@/components/scroll-to-top";

// renders a list of games infinitely
export default async function GamesPage() {
    return (
        <main className="main-content">
            <div className="flex justify-center">
                <div className="fixed top-30 z-40">
                    <ScrollToTop />
                </div>
                <InfiniteScrollGames />
            </div>
            <div className="side-content">
                <Sort />
            </div>
        </main>
    )
}